/* MediaInfoDLL - All info about media files, for DLL
// Copyright (C) 2002-2003 Jrme Martinez, Zen@MediaArea.net
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// MediaInfo
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//
// Version 0.1.0
// --------------
// C Wrapper for MediaInfo
// Please see MediaInfo.h for help
//
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//
// 0.1.0 (Zen@MediaArea.net)
// Init
//
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

#ifndef MediaInfoDLLH
#define MediaInfoDLLH

#ifdef MEDIAINFO_DLL_EXPORT
    #define MEDIAINFO_DLL extern _declspec(dllexport)
#else
    #define MEDIAINFO_DLL extern _declspec(dllimport)
#endif

/** @brief Kinds of Stream */
typedef enum _stream_t
{
    Stream_General,
    Stream_Video,
    Stream_Audio,
    Stream_Text,
    Stream_Chapters,
    Stream_Image,
    Stream_Max
} stream_t_C;

/** @brief Kinds of Info */
typedef enum _info_t
{
    Info_Name,
    Info_Text,
    Info_Measure,
    Info_Options,
    Info_Name_Text,
    Info_Measure_Text,
    Info_Info,
    Info_HowTo,
    Info_Max
} info_t_C;

//#ifdef __cplusplus
extern "C"
{
//#endif /* __cplusplus */

/***************************************************************************/
/*! \file MediaInfoDll.h
    \brief C wrapper for MediaInfo.h.
    
    C wrapper for MediaInfo.h \n
	Handle replaces class definition
*/
/***************************************************************************/

/** @brief Wrapper for MediaInfoLib::MediaInfo::Open */
MEDIAINFO_DLL void* __stdcall MediaInfo_Open (char* File); /*return Handle*/
/** @brief Wrapper for MediaInfoLib::MediaInfo::Close */
MEDIAINFO_DLL void  __stdcall MediaInfo_Close (void* Handle);
/** @brief Wrapper for MediaInfoLib::MediaInfo::Inform */
MEDIAINFO_DLL char* __stdcall MediaInfo_Inform (void* Handle);
/** @brief Wrapper for MediaInfoLib::MediaInfo::Get */
MEDIAINFO_DLL char* __stdcall MediaInfo_GetI (void* Handle, stream_t_C StreamKind, int StreamNumber, int Parameter, info_t_C KindOfInfo); /*Default : KindOfInfo=Info_Text*/
/** @brief Wrapper for MediaInfoLib::MediaInfo::Get */
MEDIAINFO_DLL char* __stdcall MediaInfo_Get (void* Handle, stream_t_C StreamKind, int StreamNumber, char* Parameter, info_t_C KindOfInfo, info_t_C KindOfSearch); /*Default : KindOfInfo=Info_Text, KindOfSearch=Info_Name*/
/** @brief Wrapper for MediaInfoLib::MediaInfo::Info_Parameters */
MEDIAINFO_DLL char* __stdcall MediaInfo_Info_Parameters (bool CSV); /*Default : CSV=false*/
/** @brief Wrapper for MediaInfoLib::MediaInfo::Count_Get */
MEDIAINFO_DLL int   __stdcall MediaInfo_Count_Get (void* Handle, stream_t_C StreamKind, int StreamNumber); /*Default : StreamNumber=-1*/
/** @brief Wrapper for MediaInfoLib::MediaInfo::Complete_Get */
MEDIAINFO_DLL int   __stdcall MediaInfo_Complete_Get ();
/** @brief Wrapper for MediaInfoLib::MediaInfo::Complete_Set */
MEDIAINFO_DLL int   __stdcall MediaInfo_Complete_Set (int Complete);
/** @brief Wrapper for MediaInfoLib::MediaInfo::Inform_Set */
MEDIAINFO_DLL int   __stdcall MediaInfo_Inform_Set (void* Handle, char* Text);
/** @brief Wrapper for MediaInfoLib::MediaInfo::Info_Capacities */
MEDIAINFO_DLL char* __stdcall MediaInfo_Info_Capacities ();
/** @brief Wrapper for MediaInfoLib::MediaInfo::Info_Codecs */
MEDIAINFO_DLL char* __stdcall MediaInfo_Info_Codecs ();
/** @brief Wrapper for MediaInfoLib::MediaInfo::Info_Version */
MEDIAINFO_DLL char* __stdcall MediaInfo_Info_Version ();

//#ifdef __cplusplus
}
//#endif /*__cplusplus*/

#endif
